> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Deploy a source reader

> Deploys a shared source reader to the data plane. The source reader must be shared and pass validation before it can be deployed.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml post /source-readers/{uuid}/deploy
openapi: 3.0.3
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.17
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /source-readers/{uuid}/deploy:
    post:
      tags:
        - Source Readers
      summary: Deploy a source reader
      description: >-
        Deploys a shared source reader to the data plane. The source reader must
        be shared and pass validation before it can be deployed.
      parameters:
        - in: path
          name: uuid
          required: true
          schema:
            type: string
      responses:
        '204':
          description: No Content
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
components:
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````